nenoDevelopers
⌘K
v1

Tasks

Download a task file

GET/tasks/{id}/files/{fileId}

Path parameters

idstring · uuidrequired
fileIdstring · uuidrequired

Responses

200
OK. The file bytes.
400
Bad request. Malformed request.
401
Unauthorized. Missing, invalid, revoked, or expired API key.
403
Forbidden. The API key lacks a required scope or the creator lacks a required permission.
404
Not found. Resource not found (or not in this workspace).
429
Too many requests. Rate limit exceeded.
Request
curl https://api.neno.build/public/v1/tasks/9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9/files/file_2Lk9Pq \
-H "Authorization: Bearer $NENO_API_KEY"
200 OK · application/octet-stream
// Binary file (application/octet-stream)